/* Problem URL: https://codeforces.com/contest/2123/problem/F */

#include <bits/stdc++.h>

using namespace std;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (int i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (int i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    vi div(1e5 + 1);
    rep(i, 1e5 + 1) {
        div[i] = i;
    }

    vi primes(1e5 + 1);

    for (int i = 2; i <= 1e5; i++) {
        if (div[i] != i) {
            continue;
        }

        primes.push_back(i);

        for (int j = i * 2; j <= 1e5; j += i) {
            div[j] = i;
        }
    }

    int t;
    cin >> t;
    while (t--) {
        int n;
        cin >> n;

        vi fds(n);
        vi pos(n + 1);
        rep(i, n) {
            fds[i] = i + 1;
            pos[i + 1] = i;
        }

        nrep(i, 1, n) {
            if (div[fds[i]] == fds[i]) {
                continue;
            }

            int now = i;
            int change = pos[div[fds[i]]];

            int num1 = fds[i];
            int num2 = fds[pos[div[fds[i]]]];

            swap(fds[now], fds[change]);
            swap(pos[num1], pos[num2]);
        }

        cout << fds;
    }
}
